Subject: Re: The road to 1.3.11 -- please try the latest snapshot
From: Pavel Tsekov <[email-masked]>
To: [email-masked]
Date: Thu, 30 May 2002 13:11:38 +0200

CF> Reports of success or failure to the list, please.

First of all I decided to try the new /proc filesystem - here are some
things I have noticed and haven't seen them reported to the list so
far (or I missed them):

1. Under /proc and /proc/registry you can "cd" to unexisting directories.

paveltz@MORDOR ~
$ cd /proc/not_existing_dir

paveltz@MORDOR /proc/not_existing_dir
$ ls -l
ls: .: Not a directory

paveltz@MORDOR /proc/not_existing_dir

Now if tou type "cd .." you get:

paveltz@MORDOR /proc/non_existing_dir
$ cd ..

paveltz@MORDOR /proc/non_existing_dir/..
$ ls
104   140   1796  loadavg  registry  uptime
1144  1428  328   meminfo  stat      version

paveltz@MORDOR /proc/non_existing_dir/..
$ cd ..

paveltz@MORDOR /proc/non_existing_dir/../..
$ ls
bin         cygwin.ico  home  sbin  test_mds_7.bpr  usr
cygwin.bat  etc         lib   sys   tmp             var

2. Deleting a directory under /proc/registry/ takes
enormous time if this directory has subdirectories. I tried to
trace with strace since first I thought that some kind of infinite
loop causes this behaviour, but then it turned out that "rm" is actually
working - it just takes too much time to complete ... Most of the time
is spent in the cygwin internal path conversion routines, trying to
convert the POSIX path representation of the registry key/data into
Win32 path name.

Yes, I know this is read-only file system :)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/